import http from '@/http/http.js'

/**
 * 获取提现金额
 */
export const selectUserMoney = (data) => {
	return http.request({
		url: '/moneyDetails/selectUserMoney',
	})
}

/**
 * 获取提现记录
 */
export const selectPayDetails = (data) => {
	return http.request({
		url: '/cash/selectPayDetails',
		data: data
	})
}

/**
 * 红包明细记录
 */
export const queryUserMoneyDetails = (data) => {
	return http.request({
		url: '/moneyDetails/queryUserMoneyDetails',
		data: data
	})
}


/**
 * 修改提现账号
 */
export const updateUser = (data) => {
	return http.request({
		url: '/user/bindAlipay',
		method: 'POST',
		params: data
	})
}

/**
 *  实名认证
 */
export const realNameAuth = (data) => {
	return http.request({
		url: '/user/realNameAuth/v2',
		method: 'POST',
		data: data
	})
}


/**
 * 获取看广告状态
 */
export const canCash = (data) => {
	return http.request({
		url: '/cash/canCash',
		showLoading: false,
	})
}

/**
 * 广告状态修改
 */
export const state = (data) => {
	return http.request({
		url: '/ad/state',
		data: data,
	})
}

/**
 * 广告状态修改
 */
export const withdraw = (data) => {
	return http.request({
		url: '/cash/withdraw',
		data: data,
	})
}

